<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package Solar Services
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php if ( function_exists( 'wp_body_open' ) ) {
  wp_body_open();
} else {
  do_action( 'wp_body_open' );
} ?>

<div id="preloader">
  <div id="status">&nbsp;</div>
</div>

<a class="screen-reader-text skip-link" href="#content"><?php esc_html_e( 'Skip to content', 'solar-services' ); ?></a>

<div class="header">
      <div class=" tophead">
        <div class="container ">
          <div class=" row">
          <div class="col-lg-6 col-md-8 col-sm-12">
            <li>
              <a class="site-mail phn" href="telto:<?php echo esc_attr(get_theme_mod('solar_services_phone_text','800 5620 789')); ?>">
                <i class="fa fa-phone"></i>
                <p><?php echo esc_html_e(get_theme_mod('solar_services_phone_text','800 5620 789')); ?></p>
              </a>
            </li>

            <li>
              <a class="site-mail email" href="mailto:<?php echo esc_attr(get_theme_mod('solar_services_email_text','info@gmail.com')); ?>">
                <i class="fas fa-envelope"></i>
                <p><?php echo esc_html_e(get_theme_mod('solar_services_email_text','admin@gmail.com')); ?></p>
              </a>
            </li>

          </div>
          <div class="col-lg-6 col-md-4 col-sm-12 social-icons">
              <a title="<?php esc_attr('facebook', 'solar-services'); ?>" target="_blank" href="<?php echo esc_attr(get_theme_mod('solar_services_fb_link','#')); ?>"><i class="fab fa-facebook-f"></i></a> 
              <a title="<?php esc_attr('twitter', 'solar-services'); ?>" target="_blank" href="<?php echo esc_attr(get_theme_mod('solar_services_twitt_link','#')); ?>"><i class="fab fa-twitter"></i></a>
              <a title="<?php esc_attr('linkedin', 'solar-services'); ?>" target="_blank" href="<?php echo esc_attr(get_theme_mod('solar_services_linked_link','#')); ?>"><i class="fab fa-linkedin"></i></a>
              <a title="<?php esc_attr('instagram', 'solar-services'); ?>" target="_blank" href="<?php echo esc_attr(get_theme_mod('solar_services_insta_link','#')); ?>"><i class="fab fa-instagram"></i></a>
          </div>
        </div>
      </div>
    </div>
<div class="container bhead">
    <div class="row">
      <div class="col-lg-4 col-md-4 col-sm-4 center-align">
        <div class="logo text-center text-md-left py-2 py-md-0">
          <?php solar_services_the_custom_logo(); ?>
          <?php $blog_info = get_bloginfo( 'name' ); ?>
          <?php if ( ! empty( $blog_info ) ) : ?>
            <?php if ( get_theme_mod('solar_services_title_enable',true) != "") { ?>
            <h1 class="site-title"><a href="<?php echo esc_url(home_url('/')); ?>"><?php bloginfo('name'); ?></a></h1>
            <?php } ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="col-lg-8 col-md-8 col-sm-8 center-align py-md-0">
        
        <div class="row menus" style="align-items: center;">
          <div class="col-lg-9 col-md-9 col-sm-9 p-0">
            <div class="toggle-nav text-center text-md-right py-2">
              <?php if(has_nav_menu('primary')){ ?>
                <button role="tab"><?php esc_html_e('MENU','solar-services'); ?></button>
              <?php }?>
            </div>
            <div id="mySidenav" class="nav sidenav text-right">
              <nav id="site-navigation" class="main-nav" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu','solar-services' ); ?>">
                <?php if(has_nav_menu('primary')){
                  wp_nav_menu( array( 
                    'theme_location' => 'primary',
                    'container_class' => 'main-menu clearfix' ,
                    'menu_class' => 'clearfix',
                    'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
                    'fallback_cb' => 'wp_page_menu',
                  ) );
                } ?>
                <a href="javascript:void(0)" class="close-button"><?php esc_html_e('CLOSE','solar-services'); ?></a>
              </nav>
            </div>
          </div>

          <div class="col-lg-3 col-md-3 col-sm-3">

            <div class="header-btn">
              <a class="contactus " href="<?php echo esc_url(get_theme_mod('solar_services_headerbutton_link')); ?>">
                <?php echo esc_attr(get_theme_mod('solar_services_headerbutton_txt','Contact Us')); ?>  <i class="far fa-arrow-alt-circle-right"></i>

                <div class="clear"></div>
              </a>
            </div>

          </div>  

        </div>      
      </div>
    </div>
  </div>
</div>